Skip to main content
GET
Get appointment calendar

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Appointment calendar id. Get it from appointmentCalendars.list.

Pattern: ^\d+$

Response

OK

id
string
required
name
string
required
description
string | null
required
active
boolean
required
timezone
string
required
durationMinutes
integer
required
Required range: -2147483648 <= x <= 2147483647
bufferAfterMinutes
integer | null
required
Required range: -2147483648 <= x <= 2147483647
locationType
enum<string>
required
Available options:
inPerson,
phoneCall,
onlineMeeting
locationDetail
string | null
required
scheduleWindowType
enum<string>
required
Available options:
rollingDays,
dateRange,
specificDay,
anyFutureDate
scheduleWindowConfig
required
maxAppointmentsPerUser
integer | null
required
Required range: -2147483648 <= x <= 2147483647
dailyLimitEnabled
boolean
required
maxPerDay
integer | null
required
Required range: -2147483648 <= x <= 2147483647
allowGroupMeeting
boolean
required
maxPerSlot
integer | null
required
Required range: -2147483648 <= x <= 2147483647
confirmationMessage
string | null
required
confirmationFlowId
string | null
required
cancellationFlowId
string | null
required
externalConnectionId
string | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
availability
object[]
required
reminders
object[]
required